AttachmentImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: AttachmentImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class AttachmentImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.AttachmentImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable`

public class AttachmentImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Attachment attachment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `String`
  `getFileName()`
  `String`
  `getTitle()`
  `int`
  `getVersion()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttachmentImmutable

    public AttachmentImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Attachment attachment)

- ## Method Details

  - ### getFileName

    public String getFileName()
    Specified by:
      `getFileName` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable`

  - ### getVersion

    public int getVersion()
    Specified by:
      `getVersion` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAttachmentImmutable`